// PV112_2.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <stdio.h>
#include "glut.h"
#include <gl/Gl.h>
#include <gl/glu.h>

GLuint wx= 0, wy= 0;      // Velikost okna
GLuint window, world;     // Okna
GLuint Bod_x=0, Bod_y=0;  // Poloha bodu po kliknuti misi

GLboolean bod = GL_FALSE, stisknuto= GL_FALSE;  // Pro bod generovany mysi
void init(void)
{
   glClearColor (0.0, 0.0, 0.0, 0.0);
   glEnable(GL_DEPTH_TEST);
   glShadeModel(GL_SMOOTH);
}
void display(void)
{
   glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);

   glColor3f(1.0, 0.0, 0.0);
   glBegin(GL_TRIANGLES);
       glVertex2f(0.0, 0.0);
	   glVertex2f((float)wx/2, (float)wy);
	   glVertex2f((float)wx, 0.0);
   glEnd();
   glFlush();
}

void reshape(int width,  int height) 
{
	wx= width; wy= height;
    glViewport(0, 0, width, height);
	glMatrixMode(GL_PROJECTION);
    glLoadIdentity();
    gluOrtho2D(0, width, height, 0);
    glMatrixMode(GL_MODELVIEW);
    glLoadIdentity();
}

void mouse(int button, int state, int x, int y)
{
  Bod_x = x; Bod_y = y;
  if (button == GLUT_LEFT_BUTTON &&
		  state == GLUT_DOWN && stisknuto == GL_FALSE){
	  stisknuto = GL_TRUE;
	  bod= !(bod);
	  glutPostRedisplay();
  }
  if (button == GLUT_LEFT_BUTTON && state == GLUT_UP){
	  stisknuto = GL_FALSE;
  }
}


void keyboard(unsigned char key, int x, int y)
{
    switch (key) {
    case 'p':
        // Funkce spoustene klavesou 'p'
        glutPostRedisplay();
	break;
    case 'r':
        // Funkce spoustene klavesou 'r'
        glutPostRedisplay();
	break;
    case 27:
		exit(0);
    }
}

void menu(int value)
{
    char* name = 0;

    switch (value) {
    case '1':
        // Funkce prvni volby
        glutPostRedisplay();
	break;
    case '2':
        // Funkce druhe volby
        glutPostRedisplay();
	break;
	}
}

int main(int argc, char** argv)
{
   glutInit(&argc, argv);
   glutInitDisplayMode (GLUT_SINGLE | GLUT_RGB | GLUT_DEPTH);
   glutInitWindowSize(256, 256);
   glutInitWindowPosition(100, 100);
   // hlavni okno se jmenuje 'window'
   window= glutCreateWindow (argv[0]);
   init ();

   glutDisplayFunc(display);
   glutReshapeFunc(reshape);
   glutMouseFunc(mouse);
   glutKeyboardFunc(keyboard);

   glutCreateMenu(menu);
   glutAddMenuEntry("Hlavni menu", 0);
   glutAddMenuEntry("", 0);		     // prazdny radek v menu
   glutAddMenuEntry("Volba 1", '1');    // vrati znak '1'
   glutAddMenuEntry("Volba 2", '2');    // vrati znak '2'
   glutAttachMenu(GLUT_RIGHT_BUTTON);   // menu se zobrazi po stisku praveho tlacitka mysi

   glutMainLoop();
   return 0;
}